package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsThreshold;
import com.sckw.slope.detection.model.dto.HeaderData;
import com.sckw.slope.detection.model.param.ThresholdQuery;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsThresholdMapper extends BaseMapper<KwsThreshold> {
    int deleteByPrimaryKey(Long id);

    int insertSelective(KwsThreshold record);

    KwsThreshold selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsThreshold record);

    int updateByPrimaryKey(KwsThreshold record);

    List<KwsThreshold> selectListAll(@Param("thresholdQuery") ThresholdQuery thresholdQuery, @Param("headerData") HeaderData headerData, @Param("status") List<Integer> status);
}